Option | Description | Values | Default
--- | --- | --- | ---
packageName | Go package name (convention: lowercase). |  | openapi
packageVersion | Go package version. |  | 1.0.0
hideGenerationTimestamp | Hides the generation timestamp when files are generated. |  | true

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---

##
LANGUAGE PRIMITIVES

- string
- bool
- byte
- float32
- float64
- uint
- int
- complex64
- rune
- int32
- int64
- complex128
- uint64
- uint32

##
RESERVED WORDS

- struct
- defer
- select
- string
- bool
- const
- import
- for
- range
- float64
- interface
- type
- error
- complex64
- rune
- switch
- nil
- default
- goto
- int64
- else
- continue
- int8
- uint32
- uint16
- map
- if
- case
- package
- break
- byte
- var
- go
- float32
- uint
- int
- int16
- func
- int32
- complex128
- uint64
- uint8
- chan
- fallthrough
- uintptr
- return

Last updated on 1/9/2020